Bug 170241 - mod_dav_svn breaks httpd
mod_dav_svn breaks httpd
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
: Regression
Depends On:
  Show dependency treegraph
Reported: 2005-10-09 20:09 EDT by Damian Menscher
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-10 06:06:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Damian Menscher 2005-10-09 20:09:33 EDT
Description of problem:
httpd: Cannot load /etc/httpd/modules/mod_dav_svn.so into server:
/etc/httpd/modules/mod_dav_svn.so: undefined symbol: 

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

It might be worth mentioning that we're on x86_64 hardware.
Comment 1 Joe Orton 2005-10-10 06:06:12 EDT
This happens if you do not have mod_dav loaded in httpd.conf, or if you have
re-ordered the configuration such that mod_dav is loaded after subversion.conf
is parsed.

If you don't wish to load mod_dav, you should also remove the mod_dav_svn
package so that the server does not try to load mod_dav_svn.

If you do wish to use mod_dav_svn, add back the line:

  LoadModule dav_module modules/mod_dav.so

to the httpd.conf, somewhere before the

  Include conf.d/*.conf


Note You need to log in before you can comment on or make changes to this bug.